const createUuidDriver = require('./uuid')

const uuid = jest.genMockFromModule('uuid')

const v1Id = 'random v1 id'
const v4Id = 'random v4 id'
uuid.v1 = () => v1Id
uuid.v4 = () => v4Id

describe('uuid driver', () => {
  it('v1', () => {
    const v1Driver = createUuidDriver({ uuid, version: 'v1' })
    expect(v1Driver.generateID()).toEqual(v1Id)
  })

  it('v4', () => {
    const v4Driver = createUuidDriver({ uuid, version: 'v4' })
    expect(v4Driver.generateID()).toEqual(v4Id)
  })
})
